aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/snapshot-jjb-container
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2016-12-28 21:30:11 +0100
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2016-12-28 21:30:11 +0100
commitf43698f363f5aa0759e39ef348e3b202cac021c4 (patch)
treee3cec05f361a8dcb13c2655323cea9434d290211 /jjb/snapshot-jjb-container
parentcfb7e726ce658b57777e6304bc2c3efac9e206ab (diff)
Add job to produce container.
Change-Id: Iff8cdb42d3e4c6bbf8e8ad232f6c3fdab5193163 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/snapshot-jjb-container')
-rw-r--r--jjb/snapshot-jjb-container/.gitignore3
-rw-r--r--jjb/snapshot-jjb-container/include-createcontainer.sh5
-rw-r--r--jjb/snapshot-jjb-container/include-rsync-container.sh13
-rw-r--r--jjb/snapshot-jjb-container/snapshot-jjb-container.yaml30
4 files changed, 51 insertions, 0 deletions
diff --git a/jjb/snapshot-jjb-container/.gitignore b/jjb/snapshot-jjb-container/.gitignore
new file mode 100644
index 00000000..f3b16d50
--- /dev/null
+++ b/jjb/snapshot-jjb-container/.gitignore
@@ -0,0 +1,3 @@
+repoclone
+mirror
+sstate
diff --git a/jjb/snapshot-jjb-container/include-createcontainer.sh b/jjb/snapshot-jjb-container/include-createcontainer.sh
new file mode 100644
index 00000000..ff106e32
--- /dev/null
+++ b/jjb/snapshot-jjb-container/include-createcontainer.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+#set -x
+set -e
+#
diff --git a/jjb/snapshot-jjb-container/include-rsync-container.sh b/jjb/snapshot-jjb-container/include-rsync-container.sh
new file mode 100644
index 00000000..e2ee1b9a
--- /dev/null
+++ b/jjb/snapshot-jjb-container/include-rsync-container.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+#set -x
+set -e
+
+#ls -alh
+
+export RSYNCSRC="$(pwd)/container/"
+export RSYNCDST="jenkins-slave@10.30.72.8:/srv/download/AGL/snapshots/sdk/docker/"
+
+echo " rsync -avr -e \"ssh -o StrictHostKeyChecking=no\" $RSYNCSRC $RSYNCDST "
+
+exit 0 \ No newline at end of file
diff --git a/jjb/snapshot-jjb-container/snapshot-jjb-container.yaml b/jjb/snapshot-jjb-container/snapshot-jjb-container.yaml
new file mode 100644
index 00000000..2490fcc3
--- /dev/null
+++ b/jjb/snapshot-jjb-container/snapshot-jjb-container.yaml
@@ -0,0 +1,30 @@
+- project:
+ name: snapshot-jjb-container
+ jobs:
+ - snapshot-jjb-container-weekly
+
+- job-template:
+ name: 'snapshot-jjb-container-weekly'
+ project-type: freestyle
+ concurrent: false
+ node: agl-test-slave
+
+ build-discarder:
+ days-to-keep: 30
+ num-to-keep: 40
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+
+ triggers:
+ - timed: '@weekly'
+
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ builders:
+ - shell:
+ !include-raw-escape: include-createcontainer.sh
+ - shell:
+ !include-raw-escape: include-rsync-container.sh
+